Inspect

Update artifact

Partially update a published artifact. URL changes are rejected if another artifact already uses that URL.

Base URL
PATCH
/api/public/v1/artifacts/{artifact_id}

Partially update a published artifact. URL changes are rejected if another artifact already uses that URL.

Authorization

bearerAuth
headerAuthorizationBearer <token>

API key authentication. Use your API key as the bearer token.

Path Parameters

artifact_id*string

Request Body

application/json
  1. body

Provide at least one field to update. When url or metadata changes, the resulting metadata must match the artifact kind.

Properties1 <= properties
title?Artifacts.ArtifactTitle
Length1 <= length <= 200
url?Artifacts.ArtifactUrl

HTTP(S) URL without credentials or local/private host literals. Stored in WHATWG-canonical form.

Formaturi
Lengthlength <= 2048
description?Artifacts.ArtifactDescription
Length10 <= length <= 2000
kind?Artifacts.ArtifactKind
Value in"link""doc""ticket""message""channel""dashboard""pdf""design""feature_flag""file""session_replay"
metadata?

Replaces the stored metadata. url is always taken from the top-level field or the current artifact.

Response Body

Artifact updated

application/json
  1. response
data*
Example Request
curl -X PATCH 'https://your-org.inspect.com/api/public/v1/artifacts/string' \  -H 'Content-Type: application/json' \  -d '{}'
Example Response
{  "data": {    "id": "string",    "title": "string",    "url": "http://example.com",    "description": "string",    "kind": "link",    "metadata": {},    "created_at": "2019-08-24T14:15:22Z"  }}